STRUNCSTR(3pub)

NAME
struncstr - convert printable C string notation to a memory block

SYNOPSIS
#include <publib.h>
void struncstr(void *block, const char *str, size_t max);

DESCRIPTION
struncstr converts a C string literal to the memory block it describes by converting all escape sequences to single characters. See a C reference manual or strcstr(3) for a description of the C string literal notation.

max is the maximum number of characters to store into the memory block.

SEE ALSO
publib(3), strcstr(3)

AUTHOR
Lars Wirzenius (lars.wirzenius@helsinki.fi)